Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## controlP5
Class BitFontRenderer

    java.lang.Object
      controlP5.BitFontRenderer

    public class BitFontRenderer

extends java.lang.Object

The BitfontRenderer is used to draw controlP5's text labels, by default it uses the bitfont standard58 by miniml. The bitfontRenderer is based on a per pixel technique and is not using processing's PFont renderer. To use PFonts within controlP5, take a look at ControlFont

ftext - fast text for processing. to create a font graphic use the following string (first character being a space) !"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_` abcdefghijklmnopqrstuvwxyz{|}~

- advocut.font
- grixel-kyrou-9.font
- david-sans.font
- sven-stuber.d516
- supernatural.font
- supertext.font
- regupix.font
- optiate.font
- superhelio.font
- superbly.font
- Audimat-Mono
- Envy-Code-R

See Also:
  `ControlFont`

Field Summary
`static int` | `grixel`
`static int` | `standard56`
`static int` | `standard58`
`static int` | `synt24`

Method Summary
`static int` | `getHeight(controlP5.ControlFont.BitFontLabel theLabel)`
`static int` | `getHeight(int theFontIndex)`
`static int` | `getWidth(Label theLabel, controlP5.ControlFont.BitFontLabel theBitFont)`
`static int` | `getWidth(Label theLabel, controlP5.ControlFont.BitFontLabel theBitFont, java.lang.String theText)`
`static int` | `write(controlP5.ControlFont.BitFontLabel theBitFont, Label theLabel)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### grixel

    public static final int grixel

See Also:
  Constant Field Values

### standard56

    public static final int standard56

See Also:
  Constant Field Values

### standard58

    public static final int standard58

See Also:
  Constant Field Values

### synt24

    public static final int synt24

See Also:
  Constant Field Values

Method Detail

### getHeight

    public static int getHeight(controlP5.ControlFont.BitFontLabel theLabel)

### getHeight

    public static int getHeight(int theFontIndex)

### getWidth

    public static int getWidth(Label theLabel,
                               controlP5.ControlFont.BitFontLabel theBitFont)

### getWidth

    public static int getWidth(Label theLabel,
                               controlP5.ControlFont.BitFontLabel theBitFont,
                               java.lang.String theText)

### write

    public static int write(controlP5.ControlFont.BitFontLabel theBitFont,
                            Label theLabel)

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library controlP5 by Andreas Schlegel. (c) 2006-2012